Jenkins
=======

Version details
---------------

  * Version: `1.609.1`
  * Mode:    WAR
  * Servlet container
      - Specification: 3.0
      - Name:          `jetty/winstone-2.8`
  * Java
      - Home:           `/usr/java/jdk1.8.0_31/jre`
      - Vendor:           Oracle Corporation
      - Version:          1.8.0_31
      - Maximum memory:   6.00 GB (6442450944)
      - Allocated memory: 6.00 GB (6442450944)
      - Free memory:      3.33 GB (3570557392)
      - In-use memory:    2.67 GB (2871893552)
      - GC strategy:      G1
  * Java Runtime Specification
      - Name:    Java Platform API Specification
      - Vendor:  Oracle Corporation
      - Version: 1.8
  * JVM Specification
      - Name:    Java Virtual Machine Specification
      - Vendor:  Oracle Corporation
      - Version: 1.8
  * JVM Implementation
      - Name:    Java HotSpot(TM) 64-Bit Server VM
      - Vendor:  Oracle Corporation
      - Version: 25.31-b07
  * Operating system
      - Name:         Linux
      - Architecture: amd64
      - Version:      2.6.32-504.12.2.el6.x86_64
  * Process ID: 24893 (0x613d)
  * Process started: 2015-10-05 11:46:41.021+0000
  * Process uptime: 2 days 0 hr
  * JVM startup parameters:
      - Boot classpath: `/usr/java/jdk1.8.0_31/jre/lib/resources.jar:/usr/java/jdk1.8.0_31/jre/lib/rt.jar:/usr/java/jdk1.8.0_31/jre/lib/sunrsasign.jar:/usr/java/jdk1.8.0_31/jre/lib/jsse.jar:/usr/java/jdk1.8.0_31/jre/lib/jce.jar:/usr/java/jdk1.8.0_31/jre/lib/charsets.jar:/usr/java/jdk1.8.0_31/jre/lib/jfr.jar:/usr/java/jdk1.8.0_31/jre/classes`
      - Classpath: `jenkins.war`
      - Library path: `/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib`
      - arg[0]: `-Djava.rmi.server.hostname=ci20-jenmas-001.cvent.net`
      - arg[1]: `-Dcom.sun.management.jmxremote.ssl=false`
      - arg[2]: `-Dcom.sun.management.jmxremote.authenticate=false`
      - arg[3]: `-Dcom.sun.management.jmxremote`
      - arg[4]: `-Dcom.sun.management.jmxremote.port=9090`
      - arg[5]: `-Dfile.encoding=UTF8`
      - arg[6]: `-XX:+UseG1GC`
      - arg[7]: `-Xms6G`
      - arg[8]: `-Xmx6G`

Important configuration
---------------

  * Security realm: `hudson.plugins.active_directory.ActiveDirectorySecurityRealm`
  * Authorization strategy: `com.michelin.cio.hudson.plugins.rolestrategy.RoleBasedAuthorizationStrategy`

Active Plugins
--------------

  * active-directory:1.41 'Jenkins Active Directory plugin'
  * analysis-core:1.72 *(update available)* 'Static Analysis Utilities'
  * ansicolor:0.4.1 'AnsiColor'
  * ant:1.2 'Ant Plugin'
  * antisamy-markup-formatter:1.3 'OWASP Markup Formatter Plugin'
  * artifactory:2.3.1 'Jenkins Artifactory Plugin'
  * audit-trail:2.1 *(update available)* 'Audit Trail'
  * build-failure-analyzer:1.13.0 *(update available)* 'Build Failure Analyzer'
  * build-flow-plugin:0.18 'CloudBees Build Flow plugin'
  * build-token-root:1.2 *(update available)* 'Build Authorization Token Root Plugin'
  * build-user-vars-plugin:1.4 'Jenkins user build vars plugin'
  * chucknorris:0.5 'ChuckNorris Plugin'
  * conditional-buildstep:1.3.3 'conditional-buildstep'
  * copyartifact:1.35.2 *(update available)* 'Copy Artifact Plugin'
  * credentials:1.22 *(update available)* 'Credentials Plugin'
  * credentials-binding:1.4 *(update available)* 'Credentials Binding Plugin'
  * cvs:2.12 'Jenkins CVS Plug-in'
  * durable-task:1.5 *(update available)* 'Durable Task Plugin'
  * email-ext:2.40.5 'Email Extension Plugin'
  * envinject:1.91.3 *(update available)* 'Environment Injector Plugin'
  * external-monitor-job:1.4 'External Monitor Job Type Plugin'
  * git:2.4.0 'Jenkins GIT plugin'
  * git-client:1.18.0 *(update available)* 'Jenkins GIT client plugin'
  * git-server:1.6 'Git server plugin'
  * gradle:1.24 'Jenkins Gradle plugin'
  * groovy:1.25 *(update available)* 'Hudson Groovy builder'
  * groovy-postbuild:2.2 *(update available)* 'Groovy Postbuild'
  * jacoco:1.0.19 'Jenkins JaCoCo plugin'
  * javadoc:1.3 'Javadoc Plugin'
  * jobConfigHistory:2.12 'Jenkins Job Configuration History Plugin'
  * jquery:1.11.2-0 'Jenkins jQuery plugin'
  * junit:1.6 *(update available)* 'JUnit Plugin'
  * ldap:1.11 'LDAP Plugin'
  * log-parser:1.0.8 'Log Parser Plugin'
  * mailer:1.15 'Jenkins Mailer Plugin'
  * mapdb-api:1.0.6.0 'MapDB API Plugin'
  * matrix-auth:1.2 'Matrix Authorization Strategy Plugin'
  * matrix-project:1.5 *(update available)* 'Matrix Project Plugin'
  * maven-plugin:2.10 *(update available)* 'Maven Integration plugin'
  * metrics:3.0.11 *(update available)* 'Metrics Plugin'
  * multiple-scms:0.5 'Jenkins Multiple SCMs plugin'
  * nodelabelparameter:1.5.1 'Node and Label parameter plugin'
  * nunit:0.17 'Jenkins NUnit plugin'
  * ownership:0.7 'Job and Slave ownership plugin'
  * pam-auth:1.2 'PAM Authentication plugin'
  * parameterized-trigger:2.27 *(update available)* 'Jenkins Parameterized Trigger plugin'
  * plain-credentials:1.1 'Plain Credentials Plugin'
  * powershell:1.2 *(update available)* 'Hudson PowerShell plugin'
  * rebuild:1.25 'Rebuilder'
  * role-strategy:2.2.0 'Role-based Authorization Strategy'
  * run-condition:1.0 'Run Condition Plugin'
  * scm-api:0.2 'SCM API Plugin'
  * scm-sync-configuration:0.0.8 'SCM Sync Configuration Plugin'
  * script-security:1.14 *(update available)* 'Script Security Plugin'
  * slack:1.8 'Slack Notification Plugin'
  * sonar:2.2.1 'Jenkins SonarQube Plugin'
  * ssh-agent:1.7 *(update available)* 'SSH Agent Plugin'
  * ssh-credentials:1.11 'SSH Credentials Plugin'
  * ssh-slaves:1.9 *(update available)* 'Jenkins SSH Slaves plugin'
  * stashNotifier:1.8 'Stash Notifier'
  * subversion:2.5 *(update available)* 'Jenkins Subversion Plug-in'
  * support-core:2.25 *(update available)* 'Support Core Plugin'
  * token-macro:1.10 'Token Macro Plugin'
  * translation:1.12 'Jenkins Translation Assistance plugin'
  * view-job-filters:1.26 *(update available)* 'View Job Filters'
  * warnings:4.48 *(update available)* 'Warnings Plug-in'
  * windows-slaves:1.1 'Windows Slaves Plugin'
  * workflow-aggregator:1.8 *(update available)* 'Workflow: Aggregator'
  * workflow-api:1.8 *(update available)* 'Workflow: API'
  * workflow-basic-steps:1.8 *(update available)* 'Workflow: Basic Steps'
  * workflow-cps:1.8 *(update available)* 'Workflow: Groovy CPS Execution'
  * workflow-cps-global-lib:1.8 *(update available)* 'Workflow: Global Shared Library for CPS workflow'
  * workflow-durable-task-step:1.8 *(update available)* 'Workflow: Durable Task Step'
  * workflow-job:1.8 *(update available)* 'Workflow: Job'
  * workflow-scm-step:1.8 *(update available)* 'Workflow: SCM Step'
  * workflow-step-api:1.8 *(update available)* 'Workflow: Step API'
  * workflow-support:1.8 *(update available)* 'Workflow: Execution Support'
