Node statistics
===============

  * Total number of nodes
      - Sample size:        11601
      - Average (mean):     12.0
      - Average (median):   12.0
      - Standard deviation: 0.0
      - Minimum:            12
      - Maximum:            12
      - 95th percentile:    12.0
      - 99th percentile:    12.0
  * Total number of nodes online
      - Sample size:        11601
      - Average (mean):     11.0
      - Average (median):   11.0
      - Standard deviation: 0.0
      - Minimum:            11
      - Maximum:            11
      - 95th percentile:    11.0
      - 99th percentile:    11.0
  * Total number of executors
      - Sample size:        11601
      - Average (mean):     43.0
      - Average (median):   43.0
      - Standard deviation: 0.0
      - Minimum:            43
      - Maximum:            43
      - 95th percentile:    43.0
      - 99th percentile:    43.0
  * Total number of executors in use
      - Sample size:        11601
      - Average (mean):     6.193579766536965
      - Average (median):   5.0
      - Standard deviation: 3.7502973107015753
      - Minimum:            0
      - Maximum:            15
      - 95th percentile:    13.0
      - 99th percentile:    15.0

Build Nodes
===========

  * master (Jenkins)
      - Description:    _the master Jenkins node_
      - Executors:      0
      - FS root:        `/var/lib/jenkins`
      - Labels:         (none)
      - Usage:          `EXCLUSIVE`
      - Java
          + Home:           `/usr/java/jdk1.8.0_31/jre`
          + Vendor:           Oracle Corporation
          + Version:          1.8.0_31
          + Maximum memory:   6.00 GB (6442450944)
          + Allocated memory: 6.00 GB (6442450944)
          + Free memory:      3.28 GB (3521272280)
          + In-use memory:    2.72 GB (2921178664)
          + GC strategy:      G1
      - Java Runtime Specification
          + Name:    Java Platform API Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Specification
          + Name:    Java Virtual Machine Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Implementation
          + Name:    Java HotSpot(TM) 64-Bit Server VM
          + Vendor:  Oracle Corporation
          + Version: 25.31-b07
      - Operating system
          + Name:         Linux
          + Architecture: amd64
          + Version:      2.6.32-504.12.2.el6.x86_64
      - Process ID: 24893 (0x613d)
      - Process started: 2015-10-05 11:46:41.021+0000
      - Process uptime: 2 days 0 hr
      - JVM startup parameters:
          + Boot classpath: `/usr/java/jdk1.8.0_31/jre/lib/resources.jar:/usr/java/jdk1.8.0_31/jre/lib/rt.jar:/usr/java/jdk1.8.0_31/jre/lib/sunrsasign.jar:/usr/java/jdk1.8.0_31/jre/lib/jsse.jar:/usr/java/jdk1.8.0_31/jre/lib/jce.jar:/usr/java/jdk1.8.0_31/jre/lib/charsets.jar:/usr/java/jdk1.8.0_31/jre/lib/jfr.jar:/usr/java/jdk1.8.0_31/jre/classes`
          + Classpath: `jenkins.war`
          + Library path: `/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib`
          + arg[0]: `-Djava.rmi.server.hostname=ci20-jenmas-001.cvent.net`
          + arg[1]: `-Dcom.sun.management.jmxremote.ssl=false`
          + arg[2]: `-Dcom.sun.management.jmxremote.authenticate=false`
          + arg[3]: `-Dcom.sun.management.jmxremote`
          + arg[4]: `-Dcom.sun.management.jmxremote.port=9090`
          + arg[5]: `-Dfile.encoding=UTF8`
          + arg[6]: `-XX:+UseG1GC`
          + arg[7]: `-Xms6G`
          + arg[8]: `-Xmx6G`

  * DC-JENWIN-001 (`hudson.slaves.DumbSlave`)
      - Description:    _Windows Slave running at DFT_
      - Executors:      3
      - Remote FS root: `E:/jenkins`
      - Labels:         windows windows-0
      - Usage:          `NORMAL`
      - Launch method:  `hudson.slaves.JNLPLauncher`
      - Availability:   `hudson.slaves.RetentionStrategy$Always`
      - Status:         on-line
      - Version:        2.50
      - Java
          + Home:           `C:\Program Files\Java\jre1.8.0_20`
          + Vendor:           Oracle Corporation
          + Version:          1.8.0_20
          + Maximum memory:   6.00 GB (6442450944)
          + Allocated memory: 6.00 GB (6442450944)
          + Free memory:      4.77 GB (5118305840)
          + In-use memory:    1.23 GB (1324145104)
          + GC strategy:      G1
      - Java Runtime Specification
          + Name:    Java Platform API Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Specification
          + Name:    Java Virtual Machine Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Implementation
          + Name:    Java HotSpot(TM) 64-Bit Server VM
          + Vendor:  Oracle Corporation
          + Version: 25.20-b23
      - Operating system
          + Name:         Windows Server 2008 R2
          + Architecture: amd64
          + Version:      6.1
      - Process ID: 3456 (0xd80)
      - Process started: 2015-10-06 06:25:24.331-0400
      - Process uptime: 1 day 1 hr
      - JVM startup parameters:
          + Boot classpath: `C:\Program Files\Java\jre1.8.0_20\lib\resources.jar;C:\Program Files\Java\jre1.8.0_20\lib\rt.jar;C:\Program Files\Java\jre1.8.0_20\lib\sunrsasign.jar;C:\Program Files\Java\jre1.8.0_20\lib\jsse.jar;C:\Program Files\Java\jre1.8.0_20\lib\jce.jar;C:\Program Files\Java\jre1.8.0_20\lib\charsets.jar;C:\Program Files\Java\jre1.8.0_20\lib\jfr.jar;C:\Program Files\Java\jre1.8.0_20\classes`
          + Classpath: `e:/jenkins/slave.jar`
          + Library path: `C:\Windows\system32;C:\Windows\Sun\Java\bin;C:\Windows\system32;C:\Windows;C:\Program Files (x86)\Git\Cmd;C:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn;C:\ProgramData\Oracle\Java\javapath;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Program Files (x86)\Microsoft SQL Server\100\Tools\Binn\;C:\Program Files\Microsoft SQL Server\100\Tools\Binn\;C:\Program Files\Microsoft SQL Server\100\DTS\Binn\;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\Microsoft\Web Platform Installer\;C:\Program Files (x86)\Microsoft ASP.NET\ASP.NET Web Pages\v1.0\;C:\Program Files\Microsoft SQL Server\110\Tools\Binn\;C:\Program Files\Java\jre7\bin;c:\Program Files\nodejs\;c:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn\;C:\Program Files\Java\jre1.8.0_20\bin;C:\opscode\chef\bin;C:\Program Files (x86)\Git\cmd;.`
          + arg[0]: `-Xrs`
          + arg[1]: `-Xms6g`
          + arg[2]: `-Xmx6g`
          + arg[3]: `-XX:+UseG1GC`
          + arg[4]: `-XX:+AggressiveOpts`
          + arg[5]: `-Dcom.sun.management.jmxremote`
          + arg[6]: `-Dcom.sun.management.jmxremote.ssl=false`
          + arg[7]: `-Dcom.sun.management.jmxremote.authenticate=false`
          + arg[8]: `-Dcom.sun.management.jmxremote.port=7199`
          + arg[9]: `-Djavax.net.ssl.trustStore=e:/Jenkins/slave.truststore`
          + arg[10]: `-Djavax.net.ssl.trustStorePassword=123456`
          + arg[11]: `-Djsse.enableSNIExtension=false`

  * DC-JENWIN-002 (`hudson.slaves.DumbSlave`)
      - Description:    _Windows Slave running at DFT_
      - Executors:      3
      - Remote FS root: `E:/jenkins`
      - Labels:         windows windows-0
      - Usage:          `NORMAL`
      - Launch method:  `hudson.slaves.JNLPLauncher`
      - Availability:   `hudson.slaves.RetentionStrategy$Always`
      - Status:         on-line
      - Version:        2.50
      - Java
          + Home:           `C:\Program Files\Java\jre1.8.0_20`
          + Vendor:           Oracle Corporation
          + Version:          1.8.0_20
          + Maximum memory:   6.00 GB (6442450944)
          + Allocated memory: 6.00 GB (6442450944)
          + Free memory:      1.45 GB (1561578832)
          + In-use memory:    4.55 GB (4880872112)
          + GC strategy:      G1
      - Java Runtime Specification
          + Name:    Java Platform API Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Specification
          + Name:    Java Virtual Machine Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Implementation
          + Name:    Java HotSpot(TM) 64-Bit Server VM
          + Vendor:  Oracle Corporation
          + Version: 25.20-b23
      - Operating system
          + Name:         Windows Server 2008 R2
          + Architecture: amd64
          + Version:      6.1
      - Process ID: 5000 (0x1388)
      - Process started: 2015-10-06 02:21:52.276-0400
      - Process uptime: 1 day 5 hr
      - JVM startup parameters:
          + Boot classpath: `C:\Program Files\Java\jre1.8.0_20\lib\resources.jar;C:\Program Files\Java\jre1.8.0_20\lib\rt.jar;C:\Program Files\Java\jre1.8.0_20\lib\sunrsasign.jar;C:\Program Files\Java\jre1.8.0_20\lib\jsse.jar;C:\Program Files\Java\jre1.8.0_20\lib\jce.jar;C:\Program Files\Java\jre1.8.0_20\lib\charsets.jar;C:\Program Files\Java\jre1.8.0_20\lib\jfr.jar;C:\Program Files\Java\jre1.8.0_20\classes`
          + Classpath: `e:/jenkins/slave.jar`
          + Library path: `C:\ProgramData\Oracle\Java\javapath;C:\Windows\Sun\Java\bin;C:\Windows\system32;C:\Windows;C:\Program Files (x86)\Git\Cmd;C:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn;C:\ProgramData\Oracle\Java\javapath;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\Microsoft\Web Platform Installer\;C:\Program Files (x86)\Microsoft ASP.NET\ASP.NET Web Pages\v1.0\;C:\Program Files\Microsoft SQL Server\110\Tools\Binn\;C:\Program Files\Java\jdk1.7.0_67\bin;c:\Program Files\nodejs\;c:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn\;C:\opscode\chef\bin;C:\Program Files (x86)\Git\cmd;.`
          + arg[0]: `-Xrs`
          + arg[1]: `-Xms6g`
          + arg[2]: `-Xmx6g`
          + arg[3]: `-XX:+UseG1GC`
          + arg[4]: `-XX:+AggressiveOpts`
          + arg[5]: `-Dcom.sun.management.jmxremote`
          + arg[6]: `-Dcom.sun.management.jmxremote.ssl=false`
          + arg[7]: `-Dcom.sun.management.jmxremote.authenticate=false`
          + arg[8]: `-Dcom.sun.management.jmxremote.port=7199`
          + arg[9]: `-Djavax.net.ssl.trustStore=e:/Jenkins/slave.truststore`
          + arg[10]: `-Djavax.net.ssl.trustStorePassword=123456`
          + arg[11]: `-Djsse.enableSNIExtension=false`

  * DC-JENWIN-003 (`hudson.slaves.DumbSlave`)
      - Description:    _Windows Slave running at DFT_
      - Executors:      3
      - Remote FS root: `E:/jenkins`
      - Labels:         windows windows-0
      - Usage:          `NORMAL`
      - Launch method:  `hudson.slaves.JNLPLauncher`
      - Availability:   `hudson.slaves.RetentionStrategy$Always`
      - Status:         on-line
      - Version:        2.50
      - Java
          + Home:           `C:\Program Files\Java\jre1.8.0_20`
          + Vendor:           Oracle Corporation
          + Version:          1.8.0_20
          + Maximum memory:   6.00 GB (6442450944)
          + Allocated memory: 6.00 GB (6442450944)
          + Free memory:      2.92 GB (3135529336)
          + In-use memory:    3.08 GB (3306921608)
          + GC strategy:      G1
      - Java Runtime Specification
          + Name:    Java Platform API Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Specification
          + Name:    Java Virtual Machine Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Implementation
          + Name:    Java HotSpot(TM) 64-Bit Server VM
          + Vendor:  Oracle Corporation
          + Version: 25.20-b23
      - Operating system
          + Name:         Windows Server 2008 R2
          + Architecture: amd64
          + Version:      6.1
      - Process ID: 3576 (0xdf8)
      - Process started: 2015-10-06 01:53:19.857-0400
      - Process uptime: 1 day 6 hr
      - JVM startup parameters:
          + Boot classpath: `C:\Program Files\Java\jre1.8.0_20\lib\resources.jar;C:\Program Files\Java\jre1.8.0_20\lib\rt.jar;C:\Program Files\Java\jre1.8.0_20\lib\sunrsasign.jar;C:\Program Files\Java\jre1.8.0_20\lib\jsse.jar;C:\Program Files\Java\jre1.8.0_20\lib\jce.jar;C:\Program Files\Java\jre1.8.0_20\lib\charsets.jar;C:\Program Files\Java\jre1.8.0_20\lib\jfr.jar;C:\Program Files\Java\jre1.8.0_20\classes`
          + Classpath: `e:/jenkins/slave.jar`
          + Library path: `C:\Windows\system32;C:\Windows\Sun\Java\bin;C:\Windows\system32;C:\Windows;C:\Program Files (x86)\Git\Cmd;C:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn;C:\ProgramData\Oracle\Java\javapath;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Program Files (x86)\Microsoft SQL Server\100\Tools\Binn\;C:\Program Files\Microsoft SQL Server\100\Tools\Binn\;C:\Program Files\Microsoft SQL Server\100\DTS\Binn\;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\Microsoft\Web Platform Installer\;C:\Program Files (x86)\Microsoft ASP.NET\ASP.NET Web Pages\v1.0\;C:\Program Files\Microsoft SQL Server\110\Tools\Binn\;C:\Program Files\Java\jre7\bin;c:\Program Files\nodejs\;c:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn\;C:\Program Files (x86)\Git\cmd;C:\opscode\chef\bin;C:\Windows\System32\WindowsPowerShell\v1.0\;.`
          + arg[0]: `-Xrs`
          + arg[1]: `-Xms6g`
          + arg[2]: `-Xmx6g`
          + arg[3]: `-XX:+UseG1GC`
          + arg[4]: `-XX:+AggressiveOpts`
          + arg[5]: `-Dcom.sun.management.jmxremote`
          + arg[6]: `-Dcom.sun.management.jmxremote.ssl=false`
          + arg[7]: `-Dcom.sun.management.jmxremote.authenticate=false`
          + arg[8]: `-Dcom.sun.management.jmxremote.port=7199`
          + arg[9]: `-Djavax.net.ssl.trustStore=e:/Jenkins/slave.truststore`
          + arg[10]: `-Djavax.net.ssl.trustStorePassword=123456`
          + arg[11]: `-Djsse.enableSNIExtension=false`

  * DC-JENWIN-004 (`hudson.slaves.DumbSlave`)
      - Description:    _Windows Slave running at DFT_
      - Executors:      3
      - Remote FS root: `E:/jenkins`
      - Labels:         windows windows-0
      - Usage:          `NORMAL`
      - Launch method:  `hudson.slaves.JNLPLauncher`
      - Availability:   `hudson.slaves.RetentionStrategy$Always`
      - Status:         on-line
      - Version:        2.50
      - Java
          + Home:           `C:\Program Files\Java\jre1.8.0_20`
          + Vendor:           Oracle Corporation
          + Version:          1.8.0_20
          + Maximum memory:   6.00 GB (6442450944)
          + Allocated memory: 6.00 GB (6442450944)
          + Free memory:      2.18 GB (2338013744)
          + In-use memory:    3.82 GB (4104437200)
          + GC strategy:      G1
      - Java Runtime Specification
          + Name:    Java Platform API Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Specification
          + Name:    Java Virtual Machine Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Implementation
          + Name:    Java HotSpot(TM) 64-Bit Server VM
          + Vendor:  Oracle Corporation
          + Version: 25.20-b23
      - Operating system
          + Name:         Windows Server 2008 R2
          + Architecture: amd64
          + Version:      6.1
      - Process ID: 5356 (0x14ec)
      - Process started: 2015-10-05 11:28:00.300-0500
      - Process uptime: 1 day 19 hr
      - JVM startup parameters:
          + Boot classpath: `C:\Program Files\Java\jre1.8.0_20\lib\resources.jar;C:\Program Files\Java\jre1.8.0_20\lib\rt.jar;C:\Program Files\Java\jre1.8.0_20\lib\sunrsasign.jar;C:\Program Files\Java\jre1.8.0_20\lib\jsse.jar;C:\Program Files\Java\jre1.8.0_20\lib\jce.jar;C:\Program Files\Java\jre1.8.0_20\lib\charsets.jar;C:\Program Files\Java\jre1.8.0_20\lib\jfr.jar;C:\Program Files\Java\jre1.8.0_20\classes`
          + Classpath: `e:/jenkins/slave.jar`
          + Library path: `C:\Windows\system32;C:\Windows\Sun\Java\bin;C:\Windows\system32;C:\Windows;C:\Program Files (x86)\Git\Cmd;C:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn;C:\ProgramData\Oracle\Java\javapath;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Program Files (x86)\Microsoft SQL Server\100\Tools\Binn\;C:\Program Files\Microsoft SQL Server\100\Tools\Binn\;C:\Program Files\Microsoft SQL Server\100\DTS\Binn\;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\Microsoft\Web Platform Installer\;C:\Program Files (x86)\Microsoft ASP.NET\ASP.NET Web Pages\v1.0\;C:\Program Files\Microsoft SQL Server\110\Tools\Binn\;C:\Program Files\Java\jre7\bin;c:\Program Files\nodejs\;c:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn\;C:\opscode\chef\bin;C:\Program Files (x86)\Git\cmd;.`
          + arg[0]: `-Xrs`
          + arg[1]: `-Xms6g`
          + arg[2]: `-Xmx6g`
          + arg[3]: `-XX:+UseG1GC`
          + arg[4]: `-XX:+AggressiveOpts`
          + arg[5]: `-Dcom.sun.management.jmxremote`
          + arg[6]: `-Dcom.sun.management.jmxremote.ssl=false`
          + arg[7]: `-Dcom.sun.management.jmxremote.authenticate=false`
          + arg[8]: `-Dcom.sun.management.jmxremote.port=7199`
          + arg[9]: `-Djavax.net.ssl.trustStore=e:/Jenkins/slave.truststore`
          + arg[10]: `-Djavax.net.ssl.trustStorePassword=123456`
          + arg[11]: `-Djsse.enableSNIExtension=false`

  * HQ04HQTMJ002 (`hudson.slaves.DumbSlave`)
      - Description:    __
      - Executors:      2
      - Remote FS root: `E:/jenkins`
      - Labels:         TM tm
      - Usage:          `NORMAL`
      - Launch method:  `hudson.slaves.JNLPLauncher`
      - Availability:   `hudson.slaves.RetentionStrategy$Always`
      - Status:         on-line
      - Version:        2.50
      - Java
          + Home:           `C:\Program Files\Java\jre7`
          + Vendor:           Oracle Corporation
          + Version:          1.7.0_25
          + Maximum memory:   455.12 MB (477233152)
          + Allocated memory: 190.00 MB (199229440)
          + Free memory:      108.62 MB (113894080)
          + In-use memory:    81.38 MB (85335360)
          + PermGen used:     19.78 MB (20740808)
          + PermGen max:      82.00 MB (85983232)
          + GC strategy:      ParallelGC
      - Java Runtime Specification
          + Name:    Java Platform API Specification
          + Vendor:  Oracle Corporation
          + Version: 1.7
      - JVM Specification
          + Name:    Java Virtual Machine Specification
          + Vendor:  Oracle Corporation
          + Version: 1.7
      - JVM Implementation
          + Name:    Java HotSpot(TM) 64-Bit Server VM
          + Vendor:  Oracle Corporation
          + Version: 23.25-b01
      - Operating system
          + Name:         Windows Server 2008 R2
          + Architecture: amd64
          + Version:      6.1
      - Process ID: 3668 (0xe54)
      - Process started: 2015-10-05 07:47:39.106-0400
      - Process uptime: 2 days 0 hr
      - JVM startup parameters:
          + Boot classpath: `C:\Program Files\Java\jre7\lib\resources.jar;C:\Program Files\Java\jre7\lib\rt.jar;C:\Program Files\Java\jre7\lib\sunrsasign.jar;C:\Program Files\Java\jre7\lib\jsse.jar;C:\Program Files\Java\jre7\lib\jce.jar;C:\Program Files\Java\jre7\lib\charsets.jar;C:\Program Files\Java\jre7\lib\jfr.jar;C:\Program Files\Java\jre7\classes`
          + Classpath: `E:/jenkins\slave.jar`
          + Library path: `C:\Windows\system32;C:\Windows\Sun\Java\bin;C:\Windows\system32;C:\Windows;C:\7-zip;C:\Notepad++;C:\Program Files (x86)\Git\Cmd;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files (x86)\Git\cmd;C:\Program Files (x86)\Git\bin;E:\jenkins\workspace\tm-devLib-build\devlib\apache-ant-1.8.4\\bin;C:\Program Files\Java\jdk1.7.0_25\bin;C:\opscode\chef\bin;C:\opscode\chef\embedded\bin;;.`
          + arg[0]: `-Xrs`
          + arg[1]: `-Djavax.net.ssl.trustStore=e:/Jenkins/slave.truststore`
          + arg[2]: `-Djavax.net.ssl.trustStorePassword=123456`
          + arg[3]: `-Djsse.enableSNIExtension=false`

  * ci20-jenlin-001 (`hudson.slaves.DumbSlave`)
      - Description:    _Centos 6 linux slave with java and node installed.  Only used by the mobile team presently._
      - Executors:      4
      - Remote FS root: `/home/jenkins`
      - Labels:         linux-centos6 node ruby
      - Usage:          `EXCLUSIVE`
      - Launch method:  `hudson.plugins.sshslaves.SSHLauncher`
      - Availability:   `hudson.slaves.RetentionStrategy$Always`
      - Status:         on-line
      - Version:        2.50
      - Java
          + Home:           `/usr/java/jdk1.8.0_31/jre`
          + Vendor:           Oracle Corporation
          + Version:          1.8.0_31
          + Maximum memory:   1.71 GB (1836580864)
          + Allocated memory: 66.50 MB (69730304)
          + Free memory:      43.13 MB (45220176)
          + In-use memory:    23.37 MB (24510128)
          + GC strategy:      ParallelGC
      - Java Runtime Specification
          + Name:    Java Platform API Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Specification
          + Name:    Java Virtual Machine Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Implementation
          + Name:    Java HotSpot(TM) 64-Bit Server VM
          + Vendor:  Oracle Corporation
          + Version: 25.31-b07
      - Operating system
          + Name:         Linux
          + Architecture: amd64
          + Version:      2.6.32-504.12.2.el6.x86_64
      - Process ID: 32058 (0x7d3a)
      - Process started: 2015-10-05 17:28:17.196+0000
      - Process uptime: 1 day 18 hr
      - JVM startup parameters:
          + Boot classpath: `/usr/java/jdk1.8.0_31/jre/lib/resources.jar:/usr/java/jdk1.8.0_31/jre/lib/rt.jar:/usr/java/jdk1.8.0_31/jre/lib/sunrsasign.jar:/usr/java/jdk1.8.0_31/jre/lib/jsse.jar:/usr/java/jdk1.8.0_31/jre/lib/jce.jar:/usr/java/jdk1.8.0_31/jre/lib/charsets.jar:/usr/java/jdk1.8.0_31/jre/lib/jfr.jar:/usr/java/jdk1.8.0_31/jre/classes`
          + Classpath: `slave.jar`
          + Library path: `/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib`
          + arg[0]: `-Dcom.sun.management.jmxremote.ssl=false`
          + arg[1]: `-Dcom.sun.management.jmxremote.authenticate=false`
          + arg[2]: `-Dcom.sun.management.jmxremote`
          + arg[3]: `-Dcom.sun.management.jmxremote.port=7199`

  * ci20-jenlin-002 (`hudson.slaves.DumbSlave`)
      - Description:    _Centos 7 linux slave with java and docker installed._
      - Executors:      8
      - Remote FS root: `/home/jenkins`
      - Labels:         docker linux
      - Usage:          `NORMAL`
      - Launch method:  `hudson.plugins.sshslaves.SSHLauncher`
      - Availability:   `hudson.slaves.RetentionStrategy$Always`
      - Status:         on-line
      - Version:        2.50
      - Java
          + Home:           `/usr/java/jdk1.8.0_31/jre`
          + Vendor:           Oracle Corporation
          + Version:          1.8.0_31
          + Maximum memory:   3.45 GB (3702521856)
          + Allocated memory: 138.00 MB (144703488)
          + Free memory:      44.82 MB (47001200)
          + In-use memory:    93.18 MB (97702288)
          + GC strategy:      ParallelGC
      - Java Runtime Specification
          + Name:    Java Platform API Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Specification
          + Name:    Java Virtual Machine Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Implementation
          + Name:    Java HotSpot(TM) 64-Bit Server VM
          + Vendor:  Oracle Corporation
          + Version: 25.31-b07
      - Operating system
          + Name:         Linux
          + Architecture: amd64
          + Version:      3.10.0-229.1.2.el7.x86_64
      - Process ID: 26516 (0x6794)
      - Process started: 2015-10-05 17:35:31.221+0000
      - Process uptime: 1 day 18 hr
      - JVM startup parameters:
          + Boot classpath: `/usr/java/jdk1.8.0_31/jre/lib/resources.jar:/usr/java/jdk1.8.0_31/jre/lib/rt.jar:/usr/java/jdk1.8.0_31/jre/lib/sunrsasign.jar:/usr/java/jdk1.8.0_31/jre/lib/jsse.jar:/usr/java/jdk1.8.0_31/jre/lib/jce.jar:/usr/java/jdk1.8.0_31/jre/lib/charsets.jar:/usr/java/jdk1.8.0_31/jre/lib/jfr.jar:/usr/java/jdk1.8.0_31/jre/classes`
          + Classpath: `slave.jar`
          + Library path: `/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib`
          + arg[0]: `-Dcom.sun.management.jmxremote.ssl=false`
          + arg[1]: `-Dcom.sun.management.jmxremote.authenticate=false`
          + arg[2]: `-Dcom.sun.management.jmxremote`
          + arg[3]: `-Dcom.sun.management.jmxremote.port=7199`

  * ci20-jenlin-003 (`hudson.slaves.DumbSlave`)
      - Description:    _Centos 7 linux slave with java and docker installed._
      - Executors:      8
      - Remote FS root: `/home/jenkins`
      - Labels:         docker linux
      - Usage:          `NORMAL`
      - Launch method:  `hudson.plugins.sshslaves.SSHLauncher`
      - Availability:   `hudson.slaves.RetentionStrategy$Always`
      - Status:         on-line
      - Version:        2.50
      - Java
          + Home:           `/usr/java/jdk1.8.0_31/jre`
          + Vendor:           Oracle Corporation
          + Version:          1.8.0_31
          + Maximum memory:   3.45 GB (3702521856)
          + Allocated memory: 161.50 MB (169345024)
          + Free memory:      65.56 MB (68742240)
          + In-use memory:    95.94 MB (100602784)
          + GC strategy:      ParallelGC
      - Java Runtime Specification
          + Name:    Java Platform API Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Specification
          + Name:    Java Virtual Machine Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Implementation
          + Name:    Java HotSpot(TM) 64-Bit Server VM
          + Vendor:  Oracle Corporation
          + Version: 25.31-b07
      - Operating system
          + Name:         Linux
          + Architecture: amd64
          + Version:      3.10.0-229.11.1.el7.x86_64
      - Process ID: 18923 (0x49eb)
      - Process started: 2015-10-05 17:33:36.897+0000
      - Process uptime: 1 day 18 hr
      - JVM startup parameters:
          + Boot classpath: `/usr/java/jdk1.8.0_31/jre/lib/resources.jar:/usr/java/jdk1.8.0_31/jre/lib/rt.jar:/usr/java/jdk1.8.0_31/jre/lib/sunrsasign.jar:/usr/java/jdk1.8.0_31/jre/lib/jsse.jar:/usr/java/jdk1.8.0_31/jre/lib/jce.jar:/usr/java/jdk1.8.0_31/jre/lib/charsets.jar:/usr/java/jdk1.8.0_31/jre/lib/jfr.jar:/usr/java/jdk1.8.0_31/jre/classes`
          + Classpath: `slave.jar`
          + Library path: `/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib`
          + arg[0]: `-Dcom.sun.management.jmxremote.ssl=false`
          + arg[1]: `-Dcom.sun.management.jmxremote.authenticate=false`
          + arg[2]: `-Dcom.sun.management.jmxremote`
          + arg[3]: `-Dcom.sun.management.jmxremote.port=7199`

  * hq-jenwin-005 (`hudson.slaves.DumbSlave`)
      - Description:    _Windows Slave running at HQ_
      - Executors:      3
      - Remote FS root: `E:/jenkins`
      - Labels:         windows windows-1
      - Usage:          `NORMAL`
      - Launch method:  `hudson.slaves.JNLPLauncher`
      - Availability:   `hudson.slaves.RetentionStrategy$Always`
      - Status:         on-line
      - Version:        2.33
      - Java
          + Home:           `C:\Program Files\Java\jre1.8.0_20`
          + Vendor:           Oracle Corporation
          + Version:          1.8.0_20
          + Maximum memory:   4.00 GB (4294967296)
          + Allocated memory: 4.00 GB (4294967296)
          + Free memory:      3.60 GB (3863487760)
          + In-use memory:    411.49 MB (431479536)
          + GC strategy:      G1
      - Java Runtime Specification
          + Name:    Java Platform API Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Specification
          + Name:    Java Virtual Machine Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Implementation
          + Name:    Java HotSpot(TM) 64-Bit Server VM
          + Vendor:  Oracle Corporation
          + Version: 25.20-b23
      - Operating system
          + Name:         Windows Server 2008 R2
          + Architecture: amd64
          + Version:      6.1
      - Process ID: 1844 (0x734)
      - Process started: 2015-09-19 01:02:39.331-0400
      - Process uptime: 18 days
      - JVM startup parameters:
          + Boot classpath: `C:\Program Files\Java\jre1.8.0_20\lib\resources.jar;C:\Program Files\Java\jre1.8.0_20\lib\rt.jar;C:\Program Files\Java\jre1.8.0_20\lib\sunrsasign.jar;C:\Program Files\Java\jre1.8.0_20\lib\jsse.jar;C:\Program Files\Java\jre1.8.0_20\lib\jce.jar;C:\Program Files\Java\jre1.8.0_20\lib\charsets.jar;C:\Program Files\Java\jre1.8.0_20\lib\jfr.jar;C:\Program Files\Java\jre1.8.0_20\classes`
          + Classpath: `c:/chef/cache/slave.jar`
          + Library path: `C:\ProgramData\Oracle\Java\javapath;C:\Windows\Sun\Java\bin;C:\Windows\system32;C:\Windows;C:\Program Files (x86)\Git\Cmd;C:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn;C:\ProgramData\Oracle\Java\javapath;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Program Files (x86)\Puppet Labs\Puppet\bin;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files (x86)\Microsoft SQL Server\100\Tools\Binn\;C:\Program Files\Microsoft SQL Server\100\Tools\Binn\;C:\Program Files\Microsoft SQL Server\100\DTS\Binn\;C:\Program Files\Microsoft\Web Platform Installer\;C:\Program Files (x86)\Microsoft ASP.NET\ASP.NET Web Pages\v1.0\;C:\Program Files\Microsoft SQL Server\110\Tools\Binn\;c:\Program Files\nodejs\;c:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn\;C:\opscode\chef\bin;.`
          + arg[0]: `-Xrs`
          + arg[1]: `-Xms4g`
          + arg[2]: `-Xmx4g`
          + arg[3]: `-XX:+UseG1GC`
          + arg[4]: `-XX:+AggressiveOpts`
          + arg[5]: `-Dcom.sun.management.jmxremote`
          + arg[6]: `-Dcom.sun.management.jmxremote.ssl=false`
          + arg[7]: `-Dcom.sun.management.jmxremote.authenticate=false`
          + arg[8]: `-Dcom.sun.management.jmxremote.port=7199`
          + arg[9]: `-Djavax.net.ssl.trustStore=e:/Jenkins/slave.truststore`
          + arg[10]: `-Djavax.net.ssl.trustStorePassword=123456`
          + arg[11]: `-Djsse.enableSNIExtension=false`

  * hq-jenwin-006 (`hudson.slaves.DumbSlave`)
      - Description:    _Windows Slave running at HQ_
      - Executors:      3
      - Remote FS root: `E:/jenkins`
      - Labels:         windows windows-1
      - Usage:          `NORMAL`
      - Launch method:  `hudson.slaves.JNLPLauncher`
      - Availability:   `hudson.slaves.RetentionStrategy$Always`
      - Status:         on-line
      - Version:        2.33
      - Java
          + Home:           `C:\Program Files\Java\jre1.8.0_20`
          + Vendor:           Oracle Corporation
          + Version:          1.8.0_20
          + Maximum memory:   4.00 GB (4294967296)
          + Allocated memory: 4.00 GB (4294967296)
          + Free memory:      3.79 GB (4069757304)
          + In-use memory:    214.78 MB (225209992)
          + GC strategy:      G1
      - Java Runtime Specification
          + Name:    Java Platform API Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Specification
          + Name:    Java Virtual Machine Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Implementation
          + Name:    Java HotSpot(TM) 64-Bit Server VM
          + Vendor:  Oracle Corporation
          + Version: 25.20-b23
      - Operating system
          + Name:         Windows Server 2008 R2
          + Architecture: amd64
          + Version:      6.1
      - Process ID: 1660 (0x67c)
      - Process started: 2015-09-29 05:04:50.204-0400
      - Process uptime: 8 days 3 hr
      - JVM startup parameters:
          + Boot classpath: `C:\Program Files\Java\jre1.8.0_20\lib\resources.jar;C:\Program Files\Java\jre1.8.0_20\lib\rt.jar;C:\Program Files\Java\jre1.8.0_20\lib\sunrsasign.jar;C:\Program Files\Java\jre1.8.0_20\lib\jsse.jar;C:\Program Files\Java\jre1.8.0_20\lib\jce.jar;C:\Program Files\Java\jre1.8.0_20\lib\charsets.jar;C:\Program Files\Java\jre1.8.0_20\lib\jfr.jar;C:\Program Files\Java\jre1.8.0_20\classes`
          + Classpath: `c:/chef/cache/slave.jar`
          + Library path: `C:\ProgramData\Oracle\Java\javapath;C:\Windows\Sun\Java\bin;C:\Windows\system32;C:\Windows;C:\Program Files (x86)\Git\Cmd;C:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn;C:\ProgramData\Oracle\Java\javapath;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\Microsoft\Web Platform Installer\;C:\Program Files (x86)\Microsoft ASP.NET\ASP.NET Web Pages\v1.0\;C:\Program Files\Microsoft SQL Server\110\Tools\Binn\;c:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn\;c:\Program Files\nodejs\;C:\opscode\chef\bin;C:\Windows\System32\WindowsPowerShell\v1.0\;.`
          + arg[0]: `-Xrs`
          + arg[1]: `-Xms4g`
          + arg[2]: `-Xmx4g`
          + arg[3]: `-XX:+UseG1GC`
          + arg[4]: `-XX:+AggressiveOpts`
          + arg[5]: `-Dcom.sun.management.jmxremote`
          + arg[6]: `-Dcom.sun.management.jmxremote.ssl=false`
          + arg[7]: `-Dcom.sun.management.jmxremote.authenticate=false`
          + arg[8]: `-Dcom.sun.management.jmxremote.port=7199`
          + arg[9]: `-Djavax.net.ssl.trustStore=e:/Jenkins/slave.truststore`
          + arg[10]: `-Djavax.net.ssl.trustStorePassword=123456`
          + arg[11]: `-Djsse.enableSNIExtension=false`

  * hq-jenwin-007 (`hudson.slaves.DumbSlave`)
      - Description:    _Windows Slave running at HQ_
      - Executors:      3
      - Remote FS root: `E:/jenkins`
      - Labels:         sonar windows windows-1
      - Usage:          `NORMAL`
      - Launch method:  `hudson.slaves.JNLPLauncher`
      - Availability:   `hudson.slaves.RetentionStrategy$Always`
      - Status:         on-line
      - Version:        2.33
      - Java
          + Home:           `C:\Program Files\Java\jre1.8.0_60`
          + Vendor:           Oracle Corporation
          + Version:          1.8.0_60
          + Maximum memory:   4.00 GB (4294967296)
          + Allocated memory: 4.00 GB (4294967296)
          + Free memory:      3.40 GB (3647897856)
          + In-use memory:    617.09 MB (647069440)
          + GC strategy:      G1
      - Java Runtime Specification
          + Name:    Java Platform API Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Specification
          + Name:    Java Virtual Machine Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Implementation
          + Name:    Java HotSpot(TM) 64-Bit Server VM
          + Vendor:  Oracle Corporation
          + Version: 25.60-b23
      - Operating system
          + Name:         Windows Server 2008 R2
          + Architecture: amd64
          + Version:      6.1
      - Process ID: 1560 (0x618)
      - Process started: 2015-09-26 00:23:04.584-0400
      - Process uptime: 11 days
      - JVM startup parameters:
          + Boot classpath: `C:\Program Files\Java\jre1.8.0_60\lib\resources.jar;C:\Program Files\Java\jre1.8.0_60\lib\rt.jar;C:\Program Files\Java\jre1.8.0_60\lib\sunrsasign.jar;C:\Program Files\Java\jre1.8.0_60\lib\jsse.jar;C:\Program Files\Java\jre1.8.0_60\lib\jce.jar;C:\Program Files\Java\jre1.8.0_60\lib\charsets.jar;C:\Program Files\Java\jre1.8.0_60\lib\jfr.jar;C:\Program Files\Java\jre1.8.0_60\classes`
          + Classpath: `c:/chef/cache/slave.jar`
          + Library path: `C:\ProgramData\Oracle\Java\javapath;C:\Windows\Sun\Java\bin;C:\Windows\system32;C:\Windows;E:\jenkins\tools\MSBuild.SonarQube.Runner-1.0;C:\Program Files (x86)\Git\Cmd;C:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn;C:\ProgramData\Oracle\Java\javapath;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Program Files (x86)\Puppet Labs\Puppet\bin;C:\Program Files\Microsoft\Web Platform Installer\;C:\Program Files (x86)\Microsoft ASP.NET\ASP.NET Web Pages\v1.0\;C:\Program Files\Microsoft SQL Server\110\Tools\Binn\;C:\Windows\System32\WindowsPowerShell\v1.0\;c:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn\;c:\Program Files\nodejs\;E:\jenkins\tools\sonar-runner-2.4\bin;C:\opscode\chef\bin;C:\Windows\System32\WindowsPowerShell\v1.0\;.`
          + arg[0]: `-Xrs`
          + arg[1]: `-Dorg.jenkinsci.plugins.gitclient.Git.timeOut=60`
          + arg[2]: `-Xms4g`
          + arg[3]: `-Xmx4g`
          + arg[4]: `-XX:+UseG1GC`
          + arg[5]: `-XX:+AggressiveOpts`
          + arg[6]: `-Dcom.sun.management.jmxremote`
          + arg[7]: `-Dcom.sun.management.jmxremote.ssl=false`
          + arg[8]: `-Dcom.sun.management.jmxremote.authenticate=false`
          + arg[9]: `-Dcom.sun.management.jmxremote.port=7199`
          + arg[10]: `-Djavax.net.ssl.trustStore=e:/Jenkins/slave.truststore`
          + arg[11]: `-Djavax.net.ssl.trustStorePassword=123456`
          + arg[12]: `-Djsse.enableSNIExtension=false`

  * hq-jenwin-008 (`hudson.slaves.DumbSlave`)
      - Description:    _Windows Slave running at HQ_
      - Executors:      3
      - Remote FS root: `E:/jenkins`
      - Labels:         sonar windows windows-1
      - Usage:          `NORMAL`
      - Launch method:  `hudson.slaves.JNLPLauncher`
      - Availability:   `hudson.slaves.RetentionStrategy$Always`
      - Status:         on-line
      - Version:        2.33
      - Java
          + Home:           `C:\Program Files\Java\jre1.8.0_20`
          + Vendor:           Oracle Corporation
          + Version:          1.8.0_20
          + Maximum memory:   4.00 GB (4294967296)
          + Allocated memory: 4.00 GB (4294967296)
          + Free memory:      2.56 GB (2744777744)
          + In-use memory:    1.44 GB (1550189552)
          + GC strategy:      G1
      - Java Runtime Specification
          + Name:    Java Platform API Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Specification
          + Name:    Java Virtual Machine Specification
          + Vendor:  Oracle Corporation
          + Version: 1.8
      - JVM Implementation
          + Name:    Java HotSpot(TM) 64-Bit Server VM
          + Vendor:  Oracle Corporation
          + Version: 25.20-b23
      - Operating system
          + Name:         Windows Server 2008 R2
          + Architecture: amd64
          + Version:      6.1
      - Process ID: 3444 (0xd74)
      - Process started: 2015-09-30 15:28:16.781-0400
      - Process uptime: 6 days 16 hr
      - JVM startup parameters:
          + Boot classpath: `C:\Program Files\Java\jre1.8.0_20\lib\resources.jar;C:\Program Files\Java\jre1.8.0_20\lib\rt.jar;C:\Program Files\Java\jre1.8.0_20\lib\sunrsasign.jar;C:\Program Files\Java\jre1.8.0_20\lib\jsse.jar;C:\Program Files\Java\jre1.8.0_20\lib\jce.jar;C:\Program Files\Java\jre1.8.0_20\lib\charsets.jar;C:\Program Files\Java\jre1.8.0_20\lib\jfr.jar;C:\Program Files\Java\jre1.8.0_20\classes`
          + Classpath: `c:/chef/cache/slave.jar`
          + Library path: `C:\ProgramData\Oracle\Java\javapath;C:\Windows\Sun\Java\bin;C:\Windows\system32;C:\Windows;C:\Program Files (x86)\Git\Cmd;C:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn;C:\ProgramData\Oracle\Java\javapath;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Program Files (x86)\Puppet Labs\Puppet\bin;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\Microsoft\Web Platform Installer\;C:\Program Files (x86)\Microsoft ASP.NET\ASP.NET Web Pages\v1.0\;C:\Program Files\Microsoft SQL Server\110\Tools\Binn\;c:\Program Files\Microsoft SQL Server\Client SDK\ODBC\110\Tools\Binn\;c:\Program Files\nodejs\;C:\opscode\chef\bin;C:\Windows\System32\WindowsPowerShell\v1.0\;.`
          + arg[0]: `-Xrs`
          + arg[1]: `-Dorg.jenkinsci.plugins.gitclient.Git.timeOut=60`
          + arg[2]: `-Xms4g`
          + arg[3]: `-Xmx4g`
          + arg[4]: `-XX:+UseG1GC`
          + arg[5]: `-XX:+AggressiveOpts`
          + arg[6]: `-Dcom.sun.management.jmxremote`
          + arg[7]: `-Dcom.sun.management.jmxremote.ssl=false`
          + arg[8]: `-Dcom.sun.management.jmxremote.authenticate=false`
          + arg[9]: `-Dcom.sun.management.jmxremote.port=7199`
          + arg[10]: `-Djavax.net.ssl.trustStore=e:/Jenkins/slave.truststore`
          + arg[11]: `-Djavax.net.ssl.trustStorePassword=123456`
          + arg[12]: `-Djsse.enableSNIExtension=false`

